com.aliyun.svideosdk.common.struct.project

## Class VideoTrackClip

- java.lang.Object
- - TrackClip
  - - com.aliyun.svideosdk.common.struct.project.VideoTrackClip

-     public class VideoTrackClip
      extends TrackClip

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mNodeKey` the template node key
    `static int` | `TYPE_IMAGE`
    `static int` | `TYPE_VIDEO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoTrackClip()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ActionBase>` | `getActions()` Gets the animation action list.
    `float` | `getBrightness()` Gets the brightness of the video.
    `float` | `getContrast()` Gets the contrast of the video.
    `float` | `getDuration()` Gets the duration of the video.
    `java.util.List<Effect>` | `getEffects()` Gets the effect list.
    `int` | `getHeight()` Gets the height of video.
    `boolean` | `getHorizontalFlip()` Gets flip config value of video
    `float` | `getIn()` Gets the time when this video appears.
    `java.lang.String` | `getNodeKey()`
    `float` | `getOut()` Gets the time when this video disappears.
    `int` | `getRotation()` Gets the angle of rotation.
    `float` | `getSaturation()` Gets the saturation of the video.
    `float` | `getSharpness()` Gets the sharpness of the video.
    `Source` | `getSource()` Gets the video resource.
    `TransitionBase` | `getTransition()`
    `int` | `getType()` Gets the video track clip type.
    `float` | `getVignette()` Sets the vignette of the video.
    `int` | `getWidth()` Gets the width of video.
    `boolean` | `isFileExists()`
    `boolean` | `isHorizontalFlip()` whether horizontal flip video.
    `void` | `setBrightness(float brightness)` Sets the brightness of the video.
    `void` | `setContrast(float contrast)` Sets the contrast of the video.
    `void` | `setDuration(float duration)` Sets the duration of the video.
    `void` | `setHeight(int height)` Sets the height of video.
    `void` | `setHorizontalFlip(boolean flip)` Sets video horizontal flip or no
    `void` | `setIn(float in)` Sets the time when this video appears.
    `void` | `setNodeKey(java.lang.String key)`
    `void` | `setOut(float out)` Sets the time when this video disappears.
    `void` | `setRotation(int rotation)` Sets the angle of rotation.
    `void` | `setSaturation(float saturation)` Sets the saturation of the video.
    `void` | `setSharpness(float sharpness)` Sets the sharpness of the video.
    `void` | `setSource(Source source)` Sets the video resource.
    `void` | `setTransition(TransitionBase transition)`
    `void` | `setType(int type)` Sets the video track clip type.
    `void` | `setVignette(float vignette)` Gets the vignette of the video.
    `void` | `setWidth(int width)` Sets the width of video.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_VIDEO

          public static final int TYPE_VIDEO

      See Also:
        Constant Field Values

    - #### TYPE_IMAGE

          public static final int TYPE_IMAGE

      See Also:
        Constant Field Values

    - #### mNodeKey

          protected java.lang.String mNodeKey

      the template node key

  - ### Constructor Detail

    - #### VideoTrackClip

          public VideoTrackClip()

  - ### Method Detail

    - #### getActions

          public java.util.List<ActionBase> getActions()

      Gets the animation action list.
      Returns:
        action list

    - #### getType

          public int getType()

      Gets the video track clip type.
      Returns:
        type

    - #### setType

          public void setType(int type)

      Sets the video track clip type.
      Parameters:
        `type` - type

    - #### getSource

          public Source getSource()

      Gets the video resource.
      Returns:
        video resource

    - #### setSource

          public void setSource(Source source)

      Sets the video resource.
      Parameters:
        `source` - video resource

    - #### getIn

          public float getIn()

      Gets the time when this video appears. Unit: second.
      Returns:
        in

    - #### setIn

          public void setIn(float in)

      Sets the time when this video appears. Unit: second.
      Parameters:
        `in` - in

    - #### getOut

          public float getOut()

      Gets the time when this video disappears. Unit: second. Accurate to 4 decimal places.
      Returns:
        out

    - #### setOut

          public void setOut(float out)

      Sets the time when this video disappears. Unit: second. Accurate to 4 decimal places.
      Parameters:
        `out` - out

    - #### getDuration

          public float getDuration()

      Gets the duration of the video. Unit: second.
      Returns:
        duration

    - #### setDuration

          public void setDuration(float duration)

      Sets the duration of the video. Unit: second.
      Parameters:
        `duration` - duration

    - #### getWidth

          public int getWidth()

      Gets the width of video.
      Returns:
        width

    - #### setWidth

          public void setWidth(int width)

      Sets the width of video.
      Parameters:
        `width` - width

    - #### getHeight

          public int getHeight()

      Gets the height of video.
      Returns:
        height

    - #### setHeight

          public void setHeight(int height)

      Sets the height of video.
      Parameters:
        `height` - height

    - #### getRotation

          public int getRotation()

      Gets the angle of rotation.
      Returns:
        rotation

    - #### setRotation

          public void setRotation(int rotation)

      Sets the angle of rotation.
      Parameters:
        `rotation` - rotation

    - #### getBrightness

          public float getBrightness()

      Gets the brightness of the video. Default:0.5f
      Returns:
        brightness

    - #### setBrightness

          public void setBrightness(float brightness)

      Sets the brightness of the video. Default:0.5f
      Parameters:
        `brightness` - brightness

    - #### getContrast

          public float getContrast()

      Gets the contrast of the video. Default:0.25f
      Returns:
        contrast

    - #### setContrast

          public void setContrast(float contrast)

      Sets the contrast of the video. Default:0.25f
      Parameters:
        `contrast` - contrast

    - #### getVignette

          public float getVignette()

      Sets the vignette of the video. Default:0
      Returns:
        vignette

    - #### setVignette

          public void setVignette(float vignette)

      Gets the vignette of the video. Default:0
      Parameters:
        `vignette` - vignette

    - #### getSaturation

          public float getSaturation()

      Gets the saturation of the video. Default:0.5f
      Returns:
        saturation

    - #### setSaturation

          public void setSaturation(float saturation)

      Sets the saturation of the video. Default:0.5f
      Parameters:
        `saturation` - saturation

    - #### getSharpness

          public float getSharpness()

      Gets the sharpness of the video. Default:0
      Returns:
        sharpness

    - #### setSharpness

          public void setSharpness(float sharpness)

      Sets the sharpness of the video. Default:0
      Parameters:
        `sharpness` - sharpness

    - #### isHorizontalFlip

          public boolean isHorizontalFlip()

      whether horizontal flip video. Default false
      Returns:
        flip or no

    - #### setHorizontalFlip

          public void setHorizontalFlip(boolean flip)

      Sets video horizontal flip or no
      Parameters:
        `flip` - flip or no

    - #### getHorizontalFlip

          public boolean getHorizontalFlip()

      Gets flip config value of video
      Returns:
        flip or no

    - #### getEffects

          public java.util.List<Effect> getEffects()

      Gets the effect list.
      Returns:
        effect list

    - #### getTransition

          public TransitionBase getTransition()

    - #### setTransition

          public void setTransition(TransitionBase transition)

    - #### isFileExists

          public boolean isFileExists()

    - #### getNodeKey

          public java.lang.String getNodeKey()

    - #### setNodeKey

          public void setNodeKey(java.lang.String key)